{
        template: '${tmpl}',
                data: function() {
                        return {
                                name:null,
                                phone:null,
                                email:null,
                                city:null,
                                money:null,
                                count:1,
                                num:2000,
                                dailog1:false,
                        }
                },
        mounted: function() {
        },
        created: function() {
                this.money = this.num;
        },
        methods: {
                addCount(){
                        this.count++;
                        this.money = this.count * this.num;
                },
                reduceCount(){
                        if(this.count <= 1)return;
                        this.count--;
                        this.money = this.count * this.num;
                },
                submitShow(){
                        this.dailog1 = false;
                },
                submit(){
                        let resPhone = /^1[3456789]\d{9}$/;
                        if(!resPhone.test(this.phone)){
                                this.$message({
                                        message: '手機號輸入不正確',
                                        type: 'warning'
                                });
                                return;
                        }
                        if(!this.city){
                                this.$message({
                                        message: '請輸入地址',
                                        type: 'warning'
                                });
                                return;
                        }
                        this.dailog1 = true;
                }
        },
        vname: "gsb-added"
}
